Test broker credentials
POST/api/v1/brokers/test-connection
Test broker credentials without saving them. For TradeStation, an accessToken is required in addition to clientId and clientSecret. Returns success false with a descriptive message when credentials are invalid rather than returning a 4xx error.
Request
Responses
- 200
- 400
- 401
- 500
Test completed. Check the success field to determine whether credentials are valid.
Request body failed schema validation
Authentication required
Server error